Package org.apache.velocity.util

# Interface RuntimeServicesAware

All Known Implementing Classes:
  `AbstractChainableUberspector`, `DeprecatedCheckUberspector`, `EscapeHtmlReference`, `EscapeJavaScriptReference`, `EscapeReference`, `EscapeSqlReference`, `EscapeXmlReference`, `IncludeNotFound`, `LinkingUberspector`, `PrintExceptions`, `ReportInvalidReferences`, `SecureUberspector`, `UberspectImpl`, `UberspectPublicFields`

public interface RuntimeServicesAware
Use this interface to automatically have the method setRuntimeServices called at initialization. Applies to EventHandler and Uberspect implementations.

Since:
  1.5
Version:
  $Id$
Author:
  Will Glass-Husain

## Method Summary

Modifier and Type
Method
Description
`void`
`setRuntimeServices(RuntimeServices rs)`
Called automatically when event cartridge is initialized.

## Method Details

### setRuntimeServices

void setRuntimeServices(RuntimeServices rs)
Called automatically when event cartridge is initialized.

Parameters:
  `rs` - RuntimeServices object assigned during initialization